Bug 173449 - 'vesa' driver does not clear previous screen contents before enabling display
'vesa' driver does not clear previous screen contents before enabling display
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Security
: 166599 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-11-16 23:17 EST by Michal Jaegermann
Modified: 2009-04-18 01:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 17:11:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-11-16 23:17:43 EST
Description of problem:

When starting a new server shows for quite a long while what was on a screen
in the preceding session (like terminal windows with a text in them, or
whatever documents/data were displayed on a session close).  In an age of
digital cameras this leaks an information like crazy.  This happens at
least with "vesa" driver as so far this is the only one which works on
my hardware (Radeon 9500 Pro video).

BTW - this new X server seems also to mess with colors of my console fonts
(making, for example, sometimes a coloured display in vim in places practically
unreadable) to an extent of turning them into black-on-black; but I cannot
really tell when and how it will do that.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Mike A. Harris 2005-11-17 02:06:10 EST
This is a video driver specific problem, in which the driver does not
clear video memory before enabling the display.  It is best to report
the issue to X.Org bugzilla for each driver the problem is encountered
for, as this is a general X problem, and not OS distribution specific.

We do have a bug about this kicking around in our bugzilla already
somewhere which seems to have gotten outprioritized by bigger fires
on a continual basis, however it's much more likely to get fixed
faster if reported upstream.

Please paste the upstream URL here when you report it, and we'll track
it there too.

Thanks in advance.
Comment 2 Mike A. Harris 2006-02-06 01:40:24 EST
*** Bug 166599 has been marked as a duplicate of this bug. ***
Comment 3 Mike A. Harris 2006-03-08 06:48:17 EST
Is there an upstream URL for this one?  I had a quick query of Xorg
bugzilla, but didn't find one.  I thought I had seen one before, but
perhaps it was another bug in our bugzilla.  Anyhow, we'll track this
upstream if you find/file a bug in X.Org bugzilla.

Comment 4 Michal Jaegermann 2006-03-08 17:11:15 EST
> Is there an upstream URL for this one?

I thought that it was but I could not find anything.  Maybe I remember wrong.

The situation changed, though.  I checked again and with a vesa driver
indeed some "lefovers" are still displayed but only a background.  How
this is done that only a background I have no idea but I do not think
that this classifies anymore as a bug.  I will close that.  If you
think otherwise, or you see something else, then shout.
Comment 5 Gustavo Homem 2009-04-17 19:34:49 EDT
For the record, 4 years later:

The "garbage" displayed by the startup of xorg using the vesa driver disappears if we use this option:

 Option "ModeSetClearScreen" "off"

If the option is On (the default) or missing we see "garbage" for a second or so. We set it to off and the screen is cleared on X startup.

(it's really like this even if the Option name suggesting the opposite)

Tested on xorg 7.1.

Note You need to log in before you can comment on or make changes to this bug.